update to 19.1 [release 19.1-1mamba;Wed Jun 02 2021]

This commit is contained in:
Silvan Calarco 2024-01-06 02:21:39 +01:00
parent 10715b5a48
commit 99218d577a
1 changed files with 29 additions and 9 deletions

View File

@ -12,18 +12,18 @@
%define pkgver %(echo %version | cut -d_ -f1)
%define pkgrel %(echo %version | cut -d_ -f2)
%define codenameadd -Leia
%define ffmpeg_ver 4.0.4%{codenameadd}-18.4
%define codenameadd -Matrix
%define ffmpeg_ver 4.3.2%{codenameadd}-19.1
Name: kodi
Version: 18.9
Version: 19.1
Release: 1mamba
Summary: A media player and entertainment hub for digital media
Group: Graphical Desktop/Applications/Multimedia
Vendor: openmamba
Distribution: openmamba
Packager: Davide Madrisan <davide.madrisan@gmail.com>
URL: https://xbmc.org/
Packager: Silvan Calarco <silvan.calarco@mambasoft.it>
URL: https://kodi.tv/
Source: https://github.com/xbmc/xbmc/archive/%{version}%{?codenameadd}.tar.gz
#http://ftp.df.lth.se/pub/xbmc/releases/source/%{version}%{?codenameadd}.tar.gz
Source1: https://github.com/xbmc/FFmpeg/archive/%{ffmpeg_ver}.tar.gz
@ -39,7 +39,6 @@ Patch8: kodi-16.1-gcc-6.1.0.patch
License: GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
@ -59,27 +58,32 @@ BuildRequires: libcec-devel
BuildRequires: libcurl-devel
BuildRequires: libdbus-devel
BuildRequires: libdrm-devel
BuildRequires: libexpat-devel
BuildRequires: libfmt-devel
BuildRequires: libfreetype-devel
BuildRequires: libfribidi-devel
BuildRequires: libfstrcmp-devel
BuildRequires: libgcc
BuildRequires: libgif-devel
BuildRequires: libglvnd-devel
BuildRequires: libinput-devel
BuildRequires: libjpeg-devel
BuildRequires: liblcms2-devel
BuildRequires: liblzo-devel
BuildRequires: libmariadb-devel
BuildRequires: libmesa-devel
BuildRequires: libmicrohttpd-devel
BuildRequires: libnfs-devel
BuildRequires: libopenssl-devel
BuildRequires: libpcre-devel
BuildRequires: libplist-devel
BuildRequires: libpng-devel
BuildRequires: libpostproc-ffmpeg-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libpulseaudio-glib-devel
BuildRequires: libpython27-devel
BuildRequires: libpython3-devel
BuildRequires: libpython39-devel
BuildRequires: libsmbclient-devel
BuildRequires: libspdlog-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswresample-ffmpeg-devel
@ -90,6 +94,8 @@ BuildRequires: libudev-devel
BuildRequires: libuuid-devel
BuildRequires: libva-devel
BuildRequires: libvdpau-devel
BuildRequires: libwaylandpp-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
@ -123,6 +129,7 @@ BuildRequires: libdcadec-devel
BuildRequires: libcrossguid-devel
BuildRequires: libflatbuffers-devel
BuildRequires: librapidjson-devel
BuildRequires: libwaylandpp-devel
Requires: mesa-tests
Requires: xdpyinfo
Requires: libprojectM
@ -154,6 +161,8 @@ Obsoletes: xbmc-rpi < 18.9
XBMC is an award-winning free and open source (GPL) software media player and entertainment hub for digital media.
%endif
%debug_package
%prep
%setup -q -n xbmc-%{pkgver}%{?codenameadd}
#-D -T
@ -175,7 +184,14 @@ cd FFmpeg-%{ffmpeg_ver}
%build
#:<< ___EOF
%cmake -d build
%cmake -d build \
\
%ifarch x86_64 %{ix86}
-DAPP_RENDER_SYSTEM="gl"
%endif
%ifarch aarch64 arm
-DAPP_RENDER_SYSTEM="gles"
%endif
%if "%{?_with_raspberrypi}"
# -Wno-psabi: just to avoid the annoying flooding of gcc warnings
@ -230,6 +246,7 @@ fi
%defattr(-,root,root)
%{_bindir}/kodi
%{_bindir}/kodi-standalone
%{_bindir}/JsonSchemaBuilder
%{_bindir}/TexturePacker
%dir %{_datadir}/kodi
%{_datadir}/kodi/*
@ -248,6 +265,9 @@ fi
%doc README.md
%changelog
* Wed Jun 02 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 19.1-1mamba
- update to 19.1
* Thu Mar 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 18.9-1mamba
- update to 18.9